require 'yaml'
require_relative 'shell_exec.rb'
include ShellExec

system("if [ #{ARGV[0]} = 'up' ]; then bash -c '#{CreateBlockDeviceScript}'; fi")
variablesFile = YAML.load_file('variables.yml')

Vagrant.configure('2') do |config|
  config.vm.define "#{variablesFile['DO_DROPLET_NAME']}" do |config|
    config.trigger.after :destroy do |trigger|
      trigger.info = "==> Destroing block storage..."
      trigger.run = {inline: "bash -c '#{DeleteBlockDeviceScript}'"}
    end
    config.vm.provision "shell", inline: ChangeMountPointScript
    config.vm.provider :digital_ocean do |provider, override|
      override.ssh.private_key_path = variablesFile['DO_DROPLET_SSH_KEY_PATH']
      provider.ssh_key_name = variablesFile['DO_DROPLET_SSH_KEY_NAME']
      override.vm.box = 'digital_ocean'
      override.vm.box_url = "https://github.com/devopsgroup-io/vagrant-digitalocean/raw/master/box/digital_ocean.box"
      override.nfs.functional = false
      provider.token = variablesFile['DO_TOKEN']
      provider.image = variablesFile['DO_DROPLET_IMAGE']
      provider.region = variablesFile['DO_DROPLET_REGION']
      provider.size = variablesFile['DO_DROPLET_SIZE']
      provider.backups_enabled = false
      provider.private_networking = false
      provider.ipv6 = false
      provider.monitoring = false
      provider.volumes = [variablesFile['DO_DISK_UUID']]
    end
  end
end
